package com.qs.mp.common.enums;

import com.baomidou.mybatisplus.annotation.IEnum;
import io.swagger.annotations.ApiModel;

/**
 * 渠道分佣订单来源枚举类
 * @author Cup
 * @date 2022/6/7
 */
@ApiModel("渠道分佣订单来源枚举类")
public enum ChannelCommissionResourceEnum implements IEnum<Integer> {
    USER(1, "用户"),
    CHANNEL(2,"经销商");

    private Integer value;
    private String desc;

    ChannelCommissionResourceEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    @Override
    public Integer getValue() {
        return value;
    }

    public String getDesc() {
        return desc;
    }
}
